#!/bin/bash
cd ${0%/*} || exit 1                        # Run from this directory
. $WM_PROJECT_DIR/bin/tools/RunFunctions 

if [ $WM_PROJECT_VERSION = "v1912" ]; then
  echo ""
  echo " --------------------------------------------------- "
  echo "Start Generating a gold ball mesh!!"
  echo " --------------------------------------------------- "
  echo ""
else
  echo "Use version v1912!"
  exit 0
fi

# making a directory which is not duplicated.
n=0
newTest=test/case_$n
while [ -d $newTest ]; do
  n=$(( n + 1 ))
  newTest=test/case_$n
done

mkdir $newTest
echo $newTest

# Create outer mesh
cp -r org/outer $newTest/
pushd $newTest/outer
runApplication blockMesh
popd

# Create ineer mesh including a ball surface.
cp -r org/inner $newTest/
cp org/ball.stl $newTest/inner/constant/triSurface/
pushd $newTest/inner
runApplication blockMesh
cp -r 0.org 0
runApplication $(getApplication)
popd

# Merge the outer and inner meshes.
cp -r org/inner $newTest/merge
cp -r $newTest/inner/constant/polyMesh $newTest/merge/constant/
cp -r $newTest/inner/20/polyMesh/points $newTest/merge/constant/polyMesh/points
pushd $newTest/merge 
runApplication mergeMeshes -overwrite . ../outer
runApplication changeDictionary
runApplication checkMesh
popd

echo ""
echo " --------------------------------------------------- "
echo "Mesh of golf ball was generated."
echo " Try << paraFoam -case $newTest/merge >>"
echo " --------------------------------------------------- "
echo ""
